﻿<UserControl x:Class="TouchAndTeachWindows.Menu.GlobalNotification"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             mc:Ignorable="d" 
             VerticalAlignment="Top" HorizontalAlignment="Left" Loaded="UserControl_Loaded"
             Opacity="0.8"
             Width="50" Height="50" >

    <UserControl.Resources>
        <Storyboard x:Key="OpenAnimation" Storyboard.TargetProperty="(Border.BorderThickness)">
            <ThicknessAnimation
                Storyboard.TargetProperty="Margin"
                Duration="0:0:0.3" FillBehavior="HoldEnd" From="0,0,50,0" To="0,0,0,0" />
        </Storyboard>
        <Storyboard x:Key="CloseAnimation" Storyboard.TargetProperty="(Border.BorderThickness)">
            <ThicknessAnimation
                Storyboard.TargetProperty="Margin"
                Duration="0:0:0" FillBehavior="HoldEnd" From="0,0,0,0" To="0,0,50,0" />
        </Storyboard>
    </UserControl.Resources>

    <Border x:Name="Border" BorderThickness="0,2,2,2" BorderBrush="#FFA67C3E" Margin="0,0,50,0">
        <Grid x:Name="Grid" Background="#FFE5E6EC" TouchUp="Grid_OnTouchUp" MouseLeftButtonUp="Grid_OnMouseLeftButtonUp" >
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="*"/>
            </Grid.ColumnDefinitions>
            <Image x:Name="Image" Grid.Column="0" Source="/TouchAndTeachWindows;component/ImgRes/notification_icon_red.png" />
        </Grid>
    </Border>
</UserControl>
